import { defineConfig } from "astro/config";
import mdx from "@astrojs/mdx";

export default defineConfig({
  markdown: {
    syntaxHighlight: false,
    shikiConfig: {
      theme: "css-variables",
    },
  },
  vite: {
    build: {
      rollupOptions: {
        output: {
          manualChunks(id) {
            if (id.includes("node_modules")) {
              return id
                .toString()
                .split("node_modules/")[1]
                .split("/")[0]
                .toString();
            }
          },
        },
      },
    },
  },
  integrations: [
    mdx({
      // Markdown config now ignored
      extendMarkdownConfig: true,
      // No `remarkPlugins` applied
    }),
  ],
});
